> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Update Auth API application

`PUT /api/web/v1/applications/authapi/{id}`

Update the specified auth API application. Caller requires the APPLICATIONS:EDIT permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| id | path | Yes | string | The UUID of the application to be updated. |

## Request Body

Required.

### application/json

Schema

```json
{
  "required": [
    "applicationTemplate",
    "name"
  ],
  "type": "object",
  "properties": {
    "allowIgnoreIpAddressForRba": {
      "type": "boolean",
      "description": "Flag indicates if ignore ip address for rba will be allowed or not."
    },
    "applicationTemplate": {
      "type": "string",
      "description": "Application template specific to this application type.",
      "example": "Authentication API"
    },
    "applicationTemplateId": {
      "type": "string",
      "description": "Application template id specific to this application type.",
      "example": "00dc1d40-b512-4159-bccc-e8c1b4524515"
    },
    "clientIpSource": {
      "type": "string",
      "description": "Indicates the source of client IP address for risk analysis",
      "example": "FROM_CONNECTION",
      "enum": [
        "NOT_INCLUDED",
        "PROVIDED",
        "FROM_CONNECTION"
      ]
    },
    "description": {
      "type": "string",
      "description": "Short description of application.",
      "example": "application for testing"
    },
    "id": {
      "type": "string",
      "description": "Unique UUID for the application used when creating a new application. If not specified, IDaaS will generate a random UUID. ",
      "example": "6781549d-433c-44ea-a42f-4705c26f3245"
    },
    "logo": {
      "type": "string",
      "description": "Base64 encoded logo image."
    },
    "name": {
      "type": "string",
      "description": "Name of the application. ",
      "example": "authApiApplication"
    },
    "passkeyEnabled": {
      "type": "boolean",
      "description": "Flag indicating if passkey authentication is allowed for this application."
    },
    "protectedOfflineSettings": {
      "type": "object",
      "properties": {
        "protectedOfflineOTPMaxClients": {
          "type": "integer",
          "description": "Maximum number of IntelliTrust Desktops (or clients in general) that are allowed to be registered with a token for downloading OTPs.",
          "format": "int32"
        },
        "protectedOfflineOTPMaxRefill": {
          "type": "integer",
          "description": "Maximum number of hours' worth of offline OTPs that a client is allowed to possess.",
          "format": "int32"
        },
        "protectedOfflineOTPMinorRefill": {
          "type": "integer",
          "description": "Default number of hours' worth of offline OTPs that is returned.",
          "format": "int32"
        },
        "protectedOfflineOTPProtection": {
          "type": "string",
          "description": "This controls the length of the private salt and is measured in bits. The values map as follows: Normal = 14, Strong = 17, and Very Strong = 20",
          "enum": [
            "NORMAL",
            "STRONG",
            "VERYSTRONG"
          ]
        },
        "protectedOfflineOTPSupport": {
          "type": "boolean",
          "description": "Defines whether tokens can be used offline."
        }
      },
      "description": "Offline token settings to support offline token feature for IntelliTrust Desktop applications.",
      "title": "ProtectedOfflineSettings"
    },
    "userValuesEnabled": {
      "type": "boolean",
      "description": "Flag indicating if user client values is allowed for this application."
    },
    "verificationRequired": {
      "type": "boolean",
      "description": "Defines whether verification for a user must be satisfied."
    }
  },
  "description": "Parameters for the new application.",
  "title": "AuthApiApplicationParms"
}
```

## Responses

### 200

Successful

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "APPLICATIONS:EDIT"
    ]
  }
]
```
